Bug 58517 - databases/namazu2: fix libintl and libiconv depedencies => avoid conflicts with other ports
Summary: databases/namazu2: fix libintl and libiconv depedencies => avoid conflicts wi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-25 13:40 UTC by Simon Barner
Modified: 2003-11-20 19:36 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (51 bytes, patch)
2003-10-25 13:40 UTC, Simon Barner
no flags Details | Diff
file.diff (3.36 KB, patch)
2003-10-25 13:40 UTC, Simon Barner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Barner 2003-10-25 13:40:17 UTC
This port also installs a libtool archive (libnmz.la). Unfortunatelly, I
was not able to fix this within a reasonable amount of time (I tried
USE_LIBTOOL, but that did not work).

This patch fixes the following issues:

This port did not pick up the two libraries mentioned.

One possitive side effect of getting the libintl dependency right, is
that the port does not build its included version of the gettext library and
does not install those two .alias that were conflicting with other ports
(have a look at the pkg-plist diff and you'll see what I mean)

http://freebsd.rambler.ru/bsdmail/freebsd-ports_2003/msg08919.html

I also reordered some things in the Makefile in order to make `portlint
-A' happy.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2003-10-26 02:13:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->knu

Over to maintainer.
Comment 2 Akinori MUSHA freebsd_committer 2003-11-20 19:35:41 UTC
State Changed
From-To: open->closed

Committed, thanks!